Uploaded image for project: 'HBase'
  1. HBase
  2. HBASE-22856

HBASE-Find-Flaky-Tests fails with pip error

    XMLWordPrintableJSON

    Details

    • Hadoop Flags:
      Reviewed
    • Release Note:
      Update the base docker image to ubuntu 18.04 for the find flaky tests jenkins job.

      Description

      09:59:16  Downloading/unpacking future (from -r /hbase/dev-support/python-requirements.txt (line 19))
      09:59:16    Running setup.py (path:/tmp/pip_build_root/future/setup.py) egg_info for package future
      09:59:16      /usr/lib/python2.7/distutils/dist.py:267: UserWarning: Unknown distribution option: 'python_requires'
      09:59:16        warnings.warn(msg)
      09:59:16      
      09:59:16      warning: no files found matching '*.au' under directory 'tests'
      09:59:16      warning: no files found matching '*.gif' under directory 'tests'
      09:59:16      warning: no files found matching '*.txt' under directory 'tests'
      09:59:16  Downloading/unpacking gitpython (from -r /hbase/dev-support/python-requirements.txt (line 20))
      09:59:16    Running setup.py (path:/tmp/pip_build_root/gitpython/setup.py) egg_info for package gitpython
      09:59:16      /usr/lib/python2.7/distutils/dist.py:267: UserWarning: Unknown distribution option: 'python_requires'
      09:59:16        warnings.warn(msg)
      09:59:16      error in GitPython setup command: 'install_requires' must be a string or list of strings containing valid project/version requirement specifiers
      09:59:16      Complete output from command python setup.py egg_info:
      09:59:16      /usr/lib/python2.7/distutils/dist.py:267: UserWarning: Unknown distribution option: 'python_requires'
      09:59:16  
      09:59:16    warnings.warn(msg)
      09:59:16  
      09:59:16  error in GitPython setup command: 'install_requires' must be a string or list of strings containing valid project/version requirement specifiers
      09:59:16  
      09:59:16  ----------------------------------------
      09:59:16  Cleaning up...
      09:59:16  Command python setup.py egg_info failed with error code 1 in /tmp/pip_build_root/gitpython
      09:59:16  Storing debug log for failure in /root/.pip/pip.log
      09:59:17  The command '/bin/sh -c apt-get -y update     && apt-get -y install curl python-pip     && pip install -r /hbase/dev-support/python-requirements.txt' returned a non-zero code: 1
      

        Attachments

        1. HBASE-22856.patch
          0.7 kB
          Duo Zhang

          Activity

            People

            • Assignee:
              zhangduo Duo Zhang
              Reporter:
              zhangduo Duo Zhang
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: